% Fictitious Central Body : MB :
%---------------------
MB.cg = [0;0;0];                 % position of gravity center
                                 % in (0,X,Y,Z) (m)
MB.m = 0;                        % mass (kg)
MB.Ixx = 0;                      % Main Inertia in
MB.Iyy = 0;                      % (cg,X,Y,Z)
MB.Izz = 0;                      % (kgm^2)
MB.Ixy = 0;                      % Cross Inertia in
MB.Ixz = 0;                      % (cg,X,Y,Z)
MB.Iyz = 0;                      % (kgm^2)
MB.Name='Solar Array';           % Name of the body (WARNING!!:to be
                                 % specified in the fictitious Central body)
%==========================================================================

% Number appendages :
%--------------------------------
nappend = 1; 

%==========================================================================
SA{1}.P = [0;0;0];             % position of connection point P1
                               % in (0,X,Y,Z) (m)
SA{1}.TM = eye(3);
SA{1}.pivot = 0;
                                
SA{1}.angle = 0;               % Nominal rotation (degree) around the pivot axis.
SA{1}.cg = [1;0;0];            % position of gravity center CG1
                               % in (P1,X1,Y1,Z1) (m)

SA{1}.m = 50;                  % mass (kg)
SA{1}.Ixx = 10;                % Main Inertia in
SA{1}.Iyy = 15;                % (CG1,X1,Y1,Z1) (kgm^2)
SA{1}.Izz = 20;
SA{1}.Ixy = 0;                 % Cross Inertia in
SA{1}.Ixz = 0;                 % (CG1,X1,Y1,Z1) (kgm^2)
SA{1}.Iyz = 0;

SA{1}.flex=2;                  % SA{1}.flex=0   ==> Appendage 1 is rigid
                               % SA{1}.flex=1   ==> Appendage 1 is flexible
                               %                with modal participations
                               %                SA{1}.L given at point CG1.
                               % SA{1}.flex=2   ==> Appendage 1 is flexible
                               %                with modal participations
                               %                SA{1}.L given at point P1.
                              
%----------------- FLEXIBILITY DATA OF APPENDAGE 1  -----------------------
%  Modal Participations :                               
SA{1}.L(1,:) = (25^0.5)*[(2^0.5)/2 (2^0.5)/2  0        0 0 0];
SA{1}.L(2,:) = (25^0.5)*[0         (2^0.5)/2 (2^0.5)/2 0 0 0];
SA{1}.L(3,:) = (10^0.5) *[0         0          0        0 0 1]; 

SA{1}.wi = [8 15 20] ;             % flexible mode pulsations (rd/s)

SA{1}.z  = [0.005 0.005 0.005] ;   % flexible mode damping ratios

