%**************************************************************************
% Segment6.m : file of sixth segment definition for Canadarm
%--------------------------------------------------------------------------
% Definition of
%   Main Body : MB : structure
%   Number of appendages : nappend
%   Appendage SA{i} : structure 
%**************************************************************************

%==========================================================================
% FRAMES DEFINITION
%--------------------------------------------------------------------------
% (O,X,Y,Z)     : reference frame attached to Main Body (here: segment 6)
% (Pi,Xi,Yi,Zi) : frame related to the appendage SA{i} at point Pi,
%                 with Pi = SA{i}.P coordinate vector of the connecting 
%                 point between appendage SA{i} and main body MB (expressed
%                 in frame (O,X,Y,Z)). 
%==========================================================================


%==========================================================================
% CENTRAL BODY : MB     
% (Cylindrical Segment of length 0.63m, radius 0.15m, mass 30kg)
%--------------------------------------------------------------------------
MB.cg = [0;0;0.315];        % position of gravity center in (0,X,Y,Z) (m)

MB.m = 30;                  % mass (kg)
MB.Ixx = 1.1610;            % Main Inertia in (cg,X,Y,Z)(kg.m^2)
MB.Iyy = 1.1610;            % 
MB.Izz = 0.3375;            % 
MB.Ixy = 0;                 % Cross Inertia in (cg,X,Y,Z) (kg.m^2)
MB.Ixz = 0;                 % 
MB.Iyz = 0;                 % 

nappend = 0;                % Number of appendages

