% Fictitious Central Body : that is the fork of the CMG
%---------------------
MB.cg = [0;0;0.1];                 % position of gravity center
                                 % in (0,X,Y,Z) (m)
MB.m = 0.1;                      % mass (kg)
MB.Ixx = 1e-5;                   % Main Inertia in
MB.Iyy = 1e-6;                   % (cg,X,Y,Z)
MB.Izz = 1e-6;                   % (kgm^2)
MB.Ixy = 0;                      % Cross Inertia in
MB.Ixz = 0;                      % (cg,X,Y,Z)
MB.Iyz = 0;                      % (kgm^2)
%==========================================================================

% Number appendages :
%--------------------------------
nappend = 1; 

%==========================================================================
SA{1}.P = [0;0;0];             % position of connection point P1
                               % in (0,X,Y,Z) (m)
SA{1}.TM = [1 0 0;0 0 1;0 -1 0];
SA{1}.pivot = 0;
                                
SA{1}.cg = [0;0;0];            % position of gravity center CG1
                               % in (P1,X1,Y1,Z1) (m)
                               
SA{1}.omega=1000;              % The field OMEGA specifies an onboard angular momentum.
                               % The angular speed of the wheel is in rd/s.
                               % When the field .OMEGA is not empty, fields: .ANGLE, .CG,
                               % .Iyy, .Ixy, .Ixz, .IYz are not taken into account 
                               % (i.e. the wheel is symmetric and balanced).

SA{1}.m = 0.5;                 % mass (kg)
SA{1}.Ixx = 0.001;             % Main Inertia in
SA{1}.Izz = 0.005;

SA{1}.flex =0;                 % Required!
